Skip to main content
POST
/
v1
/
collections
/
{collection_id}
Create Collection
curl --request POST \
  --url https://api.supernotes.app/v1/collections/{collection_id} \
  --header 'Api-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "spec": {},
  "view": {
    "sort_ascending": true,
    "broadsheet_cols": 123,
    "broadsheet_full_width": true,
    "attempt_card_match": true,
    "map_position": "<string>"
  }
}
'
import requests

url = "https://api.supernotes.app/v1/collections/{collection_id}"

payload = {
    "spec": {},
    "view": {
        "sort_ascending": True,
        "broadsheet_cols": 123,
        "broadsheet_full_width": True,
        "attempt_card_match": True,
        "map_position": "<string>"
    }
}
headers = {
    "Api-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    spec: {},
    view: {
      sort_ascending: true,
      broadsheet_cols: 123,
      broadsheet_full_width: true,
      attempt_card_match: true,
      map_position: '<string>'
    }
  })
};

fetch('https://api.supernotes.app/v1/collections/{collection_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "spec": {},
  "created_when": "2023-11-07T05:31:56Z",
  "view": {
    "sort_ascending": true,
    "broadsheet_cols": 123,
    "broadsheet_full_width": true,
    "attempt_card_match": true,
    "map_position": "<string>"
  },
  "order": "<string>",
  "modified_when": "2023-11-07T05:31:56Z"
}
{
  "type": "<string>",
  "detail": "<string>",
  "status": 123
}

Authorizations

Api-Key
string
header
required

Path Parameters

collection_id
string<uuid>
required

Body

application/json
spec
CollectionSpecReference · object
required
view
StoredViewData · object | null

Response

Successful Response

id
string<uuid>
required
spec
CollectionSpecReference · object
required
created_when
string<date-time>
required
view
StoredViewData · object | null
order
string | null
Maximum string length: 8
modified_when
string<date-time> | null